Skip to main content
Player

Play existing media file on player

Will preempt everything other than urgent alerts.

PUT
/api/v1/player/play

On success, response includes an integer push_id that can be used with the DELETE method to revoke this content assignment.

Expiration must be in the form ###m (example 10m for 10 minutes) or in UTC (2018-10-09T12:30:00Z)

Authorizationstringheaderrequired

Access token from POST /api/v1/auth/login

namestringquery

player name

Example: sample_player
idintegerquery

player id

Example: 1
media_namestringquery

media name (optionaly including folder path as well)

Example: surrealism
media_idintegerquery

media id

Example: 1
durationintegerquery

length of time to play media item (defaults to 15 seconds)

Example: 15
startstringquery

Start datetime (format: yyyy-mm-dd hh:mm:ss) player local time)

endstringquery

end datetime (format: yyyy-mm-dd hh:mm:ss) player local time)

Response

200application/json

OK

itemsobject[]